Try ERPNext Buy Support Partners Foundation

Dropbox backup error with certificate

Hi

I am getting the below error while taking backups. I am using self signed certificate for SSL
Below is the traceback

Traceback (most recent call last):
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connectionpool.py", line 665, in urlopen
    httplib_response = self._make_request(
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connectionpool.py", line 376, in _make_request
    self._validate_conn(conn)
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connectionpool.py", line 994, in _validate_conn
    conn.connect()
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connection.py", line 386, in connect
    _match_hostname(cert, self.assert_hostname or server_hostname)
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connection.py", line 396, in _match_hostname
    match_hostname(cert, asserted_hostname)
  File "/usr/lib/python3.8/ssl.py", line 420, in match_hostname
    raise CertificateError("hostname %r "
ssl.SSLCertVerificationError: ("hostname 'dropbox.erpnext.com' doesn't match 'charts.erpnext.com'",)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connectionpool.py", line 747, in urlopen
    return self.urlopen(
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connectionpool.py", line 747, in urlopen
    return self.urlopen(
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connectionpool.py", line 747, in urlopen
    return self.urlopen(
  [Previous line repeated 2 more times]
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/connectionpool.py", line 719, in urlopen
    retries = retries.increment(
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/urllib3/util/retry.py", line 436, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='dropbox.erpnext.com', port=443): Max retries exceeded with url: /api/method/dropbox_erpnext_broker.www.setup_dropbox.get_authotize_url (Caused by SSLError(SSLCertVerificationError("hostname 'dropbox.erpnext.com' doesn't match 'charts.erpnext.com'")))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/frappe/frappe-bench/apps/frappe/frappe/integrations/doctype/dropbox_settings/dropbox_settings.py", line 276, in get_redirect_url
    response = make_post_request(url, data={"site": get_url()})
  File "/home/frappe/frappe-bench/apps/frappe/frappe/integrations/utils.py", line 50, in make_post_request
    raise exc
  File "/home/frappe/frappe-bench/apps/frappe/frappe/integrations/utils.py", line 41, in make_post_request
    frappe.flags.integration_request = s.post(url, data=data, auth=auth, headers=headers)
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/requests/sessions.py", line 578, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/requests/sessions.py", line 530, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/requests/sessions.py", line 643, in send
    r = adapter.send(request, **kwargs)
  File "/home/frappe/frappe-bench/env/lib/python3.8/site-packages/requests/adapters.py", line 514, in send
    raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host='dropbox.erpnext.com', port=443): Max retries exceeded with url: /api/method/dropbox_erpnext_broker.www.setup_dropbox.get_authotize_url (Caused by SSLError(SSLCertVerificationError("hostname 'dropbox.erpnext.com' doesn't match 'charts.erpnext.com'")))